Subject: bug#6745: 24.0.50; vc-annotate should allow to configure the width of blame info

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 09 May 2022 20:35:45 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> To allow regularisation (and user customisation) of the output, I think
> we'd have to redo that completely.  Instead the backends would dump the
> output to a temp dir, we'd parse it completely, add it to some
> structure, and then output the data into a buffer in the format we want.

We wouldn't have to implement this for all the backends -- we could bind
`C-x v g' to a command that does new-style annotations if the backend
supports it, and fall back to the current functions if they don't.

Oh, and we could also implement annotations for just a narrowed-to
region while we're at it.  (This has also been requested a few times.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no